# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Retrieve account statements In this tutorial, you will learn how to use the J.P. Morgan Direct Connect API to retrieve statements for accounts that a user has consented to share. By the end of this tutorial, you will know how to: - Retrieve a list of accounts. - Fetch statement identifiers for a given account and date range. - Download a PDF statement for a specific statement identifier. ## Before you begin To use this capability, you will need to have: - Complete onboarding and get client credentials. - Complete the consent flow and get a valid access token. ## Send a request To retrieve statements for consented accounts, follow these steps: - Retrieve a list of accounts: Send a GET request to the /accounts endpoint, setting the resultType parameter to lightweight or details to retrieve a list of accounts with their associated descriptors. If resultType is not specified, it defaults to lightweight. - Fetch statement identifiers: For each account, send a GET request to the /accounts/{accountId}/statements endpoint, specifying the desired date range, to fetch available statement identifiers. - Download a PDF statement: For a given statement identifier, send a GET request to the /accounts/{accountId}/statements/{statementId} endpoint to download the PDF statement. Be sure to include the required headers, such as x-fapi-interaction-id and your access token, as described in the integration guide. ## Request and response details A successful response will return the requested statement data or PDF. For details on required and optional parameters, error codes, response formats, and request and response examples, refer to the [API specification](/api/treasury/jp-morgan-business-direct-connect/j-p-morgan-direct-connect).